<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    
</head>
<body>
    <div id="app">
        <app></app>
    </div>

    <script src="https://unpkg.com/vue@2.6.10/dist/vue.js"></script>
    <script src="https://unpkg.com/vue-router@3.0.2/dist/vue-router.js"></script>
    <script>
    const user = Vue.component('User', { 
        template: `<div>
                    utilisateur {{ $route.params.id}}
                    <br>
                    <router-link :to="{name: 'user:home'}">home</router-link>
                    <router-link :to="{name: 'user:profile'}">profile</router-link>
                    <router-link :to="{name: 'posts'}">posts</router-link>
                    <router-view></router-view>
                    </div>`
    });

    const userPosts = Vue.component('UserPosts', {
        template: `<div>les posts de l'utilisateur</div>`
    });

    const userProfile = Vue.component('UserProfile', {
        template: `<div>le profil de l'utilisateur</div>`
    });

    const userHome = Vue.component('UserHome', {
        template: `<div>l'accueil de l'utilisateur</div>`
    });
    
    const router = new VueRouter({
        routes: [
            { 
                path: '/user/:id', 
                name:'user', 
                component: user,
                children: [
                    { path: 'profile', name:'user:profile', component: userProfile },
                    { path: 'posts', name:'posts', component: userPosts },
                    { path: '', name:'user:home', component: userHome },
                ]
            },
        ]
    })

    Vue.component('app', {
        template:`
        <div>
            <router-link :to="{name: 'user', params: {id: 1}}">user 1</router-link>
            <router-link :to="{name: 'user', params: {id: 2}}">user 2</router-link>
            <router-view></router-view>
        </div>
        `
    })

    const app = new Vue({
        el: "#app",
        router
    })
    </script>
</body>
</html>